Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.parser.schema
Class XSDSimpleType

    java.lang.Object
      |
      +--oracle.xml.parser.schema.XSDNode
            |
            +--oracle.xml.parser.schema.XSDSimpleType

All Implemented Interfaces:
  XSDConstantValues, XSDParticleNode, XSDTypeConstants

public class XSDSimpleType
extends XSDNode
implements XSDParticleNode, XSDTypeConstants

This class represents Schema simpleType definitions

Field Summary

Fields inherited from interface oracle.xml.parser.schema.XSDTypeConstants
`_atomic, _base64, _collapse, _hex, _preserve, _replace, ANY_SIMPLE, ANY_URI, BASE64_BINARY, BINARY, BOOLEAN, BYTE, CDATA, CENTURY, DATE, DATE_TIME, DECIMAL, DOUBLE, DURATION, ENCODING, ENTITIES, ENTITY, ENUMERATION, fFINITE, fID, fIDREF, fINTEGER, FLOAT, fNUMERIC, fORDERED, FRACTION_DIGITS, GDAY, GMONTH, GMONTH_DAY, GYEAR, GYEAR_MONTH, HEX_BINARY, iANY_SIMPLE, iANY_URI, iBASE64_BINARY, iBOOLEAN, ID, iDATE, iDATE_TIME, iDECIMAL, iDOUBLE, IDREF, IDREFS, iDUMMY, iDURATION, iENUMERATION, iFLOAT, iFRACTION_DIGITS, iGDAY, iGMONTH, iGMONTH_DAY, iGYEAR, iGYEAR_MONTH, iHEX_BINARY, iLENGTH, iMAXEXCLUSIVE, iMAXINCLUSIVE, iMAXLENGTH, iMINEXCLUSIVE, iMININCLUSIVE, iMINLENGTH, iNOTATION, INT, INTEGER_STR, iPATTERN, iQNAME, iSTRING, iTIME, iTOTAL_DIGITS, iWHITESPACE, LANGUAGE, LENGTH, LONG, MAXEXCLUSIVE, MAXINCLUSIVE, MAXLENGTH, MINEXCLUSIVE, MININCLUSIVE, MINLENGTH, MONTH, N_STRING, NAME, NCNAME, NEGATIVE_INTEGER, nFacets, NMTOKEN, NMTOKENS, NON_NEGATIVE_INTEGER, NON_POSITIVE_INTEGER, nPRIMITIVE, PATTERN, PERIOD, POSITIVE_INTEGER, PRECISION, QNAME, RECURRING_DATE, RECURRING_DAY, RECURRING_DURATION, SCALE, sFacets, SHORT, SNOTATION, STRING, sTypes, TIME, TIME_DURATION, TIME_INSTANT, TIME_PERIOD, TOKEN, TOTAL_DIGITS, UNSIGNED_BYTE, UNSIGNED_INT, UNSIGNED_LONG, UNSIGNED_SHORT, URI_REFERENCE, WHITESPACE, YEAR`

Fields inherited from interface oracle.xml.parser.schema.XSDConstantValues
`_abstract, _all, _annotation, _any, _anyAttribute, _anySimpleType, _anyType, _appinfo, _attrFormDefault, _attribute, _attributeGroup, _attrTag, _base, _block, _blockDefault, _choice, _complexContent, _complexType, _content, _default, _derivedBy, _documentation, _element, _elementOnly, _elemFormDefault, _empty, _enumeration, _equivClass, _extension, _false, _field, _final, _finalDefault, _fixed, _form, _group, _id, _import, _include, _itemType, _key, _keyref, _lax, _list, _maxOccurs, _memberTypes, _minOccurs, _mixed, _nall, _name, _namespace, _nil, _nillable, _nnany, _nnlist, _nnlocal, _nnother, _nntargetNS, _noNSSchemaLocation, _notation, _null, _nullable, _optional, _pattern, _processContents, _prohibited, _publicid, _qualified, _redefine, _ref, _refer, _required, _restriction, _restrictions, _schema, _schemaLocation, _selector, _sequence, _simpleContent, _simpleType, _skip, _strict, _substitution, _substitutionGrp, _systemid, _targetNS, _textOnly, _this, _true, _type, _undef, _union, _unique, _unqualified, _use, _value, _version, _xmlns, ABSENT_NS, ACCEPTED, ALL, ANNOTATION, ANY, ANY_ATTRIBUTE, ANY_NODE, ATTRIBUTE, ATTRIBUTE_GROUP, AUTO_VALIDATION, BASE_RESOLVED, BASE_UNRESOLVED, BASE_URL, BUILD_FAIL, CHOICE, CIRCULAR_SUBST, CONFLICIT_FACET, constName, DATATYPE, DEEP_VALIDATION, derivationBlock, DONE, DUPLICATE_DEF, duplicateId, ELEMENT, ELEMENT_CHILD, ELEMENT_ONLY, elemNotNullable, EMPTY, ENTITY_RESOLVER, EQUIV_RESOLVED, EQUIV_UNRESOLVED, ERROR, EXTENTION, FACET_CHILD, FAKE_ATTR, FAKE_NODE, FIXED_SCHEMA, GROUP, IABSTRACT, IBLOCKEXT, IBLOCKRST, IBLOCKSUB, IDENTITY_ERROR, IDENTITY_KEY, IDENTITY_KEYREF, IDENTITY_UNIQUE, IFINALEXT, IFINALLIST, IFINALRST, IFINALUNION, IMPORT, INCLUDE, INCORRECT_ATTR, INCORRECT_ELEM, INFINITY, INTERNAL_ERROR, INVALID_DERIVATION, INVALID_FACET, INVALID_FACET_VALUE, INVALID_NOTATION, INVALID_REGEX, INVALID_SCHEMA_NS, INVALID_TYPE_VALUE, invalidAttr, invalidAttrVal, invalidChars, invalidElem, invalidFixedChars, invalidNS, invalidPrefix, invalidProperty, invalidRef, invalidSubstitution, invalidTargetNS, LAX_VALIDATION, MISSING_NS, missingAttr, MIXED, NEW_STATE, NO_CHILD, noDefinition, NOT_DONE, NOTATION, notComplete, notSubstitutable, notSubTypeOf, NS_CONFLICT, NS_DIF_SPECIFIED, NS_NOT_ALLOWED, NS_NOT_EXPECTED, NS_NOT_SAME, NS_RESOLVER, REDEFINE, REF_RESOLVED, REF_UNRESOLVED, RESTRICTION, SCHEMA_NS, SEQ, STRICT_VALIDATION, TEXT_ONLY, TOP_LEVEL, TYPE, TYPE_RESOLVED, TYPE_UNRESOLVED, UNDEF, unexpectedAttr, unexpectedElem, VALIDATION_MODE, VIOLATE_FACET, XSDRECNS, XSDRECTYPENS, XSIRECNS, XSITYPE_ABSENT`

Constructor Summary
`XSDSimpleType(int basic, java.lang.String tnm)` Deprecated.

Method Summary
`int` | `compareValues(java.lang.String str1, java.lang.String str2)`
`static XSDSimpleType` | `derivedFrom(XSDSimpleType source, java.lang.String nm, java.lang.String var)` Deprecated.
`XSDSimpleType` | `getBase()`
`int` | `getBasicType()` Gets the basic type from which this type was derived.
`static java.util.Hashtable` | `getBuiltInDatatypes()` Gets all built-in datatype
`XSDConstrainingFacet[]` | `getFacets()` Get the facets
`static XSDSimpleType` | `getPrimitiveType(int itype)` Get primitive type
`java.lang.String` | `getTargetNS()` Get target namespace
`java.lang.String` | `getVariety()` Get the variety of the type
`boolean` | `isAbstract()`
`void` | `setFacet(java.lang.String fname, java.lang.String value)` Sets a facet for restriction
`void` | `validateValue(java.lang.String val)` Validates the string value with the facets defined for this type

Methods inherited from class oracle.xml.parser.schema.XSDNode
`getAnnotation, getName, getNodeType, getRefLocalname, isNodeType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.xml.parser.schema.XSDParticleNode
`getMaxOccurs, getMinOccurs, setMaxOccurs, setMinOccurs`

Constructor Detail

### XSDSimpleType

    public XSDSimpleType(int basic,
                         java.lang.String tnm)

  Deprecated.
  Constructor for built-in types

Method Detail

### getTargetNS

    public java.lang.String getTargetNS()

  Get target namespace
  Overrides:
    `getTargetNS` in class `XSDNode`
  Returns:
    tagetNS

### getPrimitiveType

    public static XSDSimpleType getPrimitiveType(int itype)

  Get primitive type
  Returns:
    the primitive simple type

### derivedFrom

    public static XSDSimpleType derivedFrom(XSDSimpleType source,
                                            java.lang.String nm,
                                            java.lang.String var)
                                     throws XSDException

  Deprecated.
  Derive a type from the given base type
  Parameters:
    `source` - XSDSimpleType The base type
    `nm` - String The name of the new type
    `var` - String The method of derivation
  Throws:
    `XSDException` - if new type can not be created.

### getBasicType

    public int getBasicType()

  Gets the basic type from which this type was derived.
  Returns:
    basicType

### isAbstract

    public boolean isAbstract()

### getBase

    public XSDSimpleType getBase()

### getFacets

    public XSDConstrainingFacet[] getFacets()

  Get the facets
  Returns:
    facets

### getVariety

    public java.lang.String getVariety()

  Get the variety of the type
  Returns:
    variety

### getBuiltInDatatypes

    public static java.util.Hashtable getBuiltInDatatypes()
                                                   throws XSDException

  Gets all built-in datatype
  Throws:
    `XSDException`

### validateValue

    public void validateValue(java.lang.String val)
                       throws java.lang.Exception

  Validates the string value with the facets defined for this type
  Parameters:
    `val` - value to be validated
  Throws:
    `XSDException` - if the value is not valid
    `java.lang.Exception`

### compareValues

    public int compareValues(java.lang.String str1,
                             java.lang.String str2)

### setFacet

    public void setFacet(java.lang.String fname,
                         java.lang.String value)
                  throws XSDException

  Sets a facet for restriction
  Parameters:
    `value` - Value of the facet
  Throws:
    `XSDException` - if the facet is invalid

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.